Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.core.ext.typeinfo
Class JPrimitiveType

    java.lang.Object
      com.google.gwt.core.ext.typeinfo.JType
          com.google.gwt.core.ext.typeinfo.JPrimitiveType

    public class JPrimitiveType

extends JType

Represents a primitive type in a declaration.

Field Summary
`static JPrimitiveType` | `BOOLEAN`
`static JPrimitiveType` | `BYTE`
`static JPrimitiveType` | `CHAR`
`static JPrimitiveType` | `DOUBLE`
`static JPrimitiveType` | `FLOAT`
`static JPrimitiveType` | `INT`
`static JPrimitiveType` | `LONG`
`static JPrimitiveType` | `SHORT`
`static JPrimitiveType` | `VOID`

Method Summary
`java.lang.String` | `getJNISignature()`
`java.lang.String` | `getQualifiedSourceName()`
`java.lang.String` | `getSimpleSourceName()`
`JArrayType` | `isArray()`
`JClassType` | `isClass()`
`JClassType` | `isInterface()`
`JParameterizedType` | `isParameterized()`
`JPrimitiveType` | `isPrimitive()`
`static JPrimitiveType` | `valueOf(java.lang.String typeName)`

Methods inherited from class com.google.gwt.core.ext.typeinfo.JType
`getLeafType, getParameterizedQualifiedSourceName, isClassOrInterface`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BOOLEAN

    public static final JPrimitiveType BOOLEAN

### BYTE

    public static final JPrimitiveType BYTE

### CHAR

    public static final JPrimitiveType CHAR

### DOUBLE

    public static final JPrimitiveType DOUBLE

### FLOAT

    public static final JPrimitiveType FLOAT

### INT

    public static final JPrimitiveType INT

### LONG

    public static final JPrimitiveType LONG

### SHORT

    public static final JPrimitiveType SHORT

### VOID

    public static final JPrimitiveType VOID

Method Detail

### valueOf

    public static JPrimitiveType valueOf(java.lang.String typeName)

### getJNISignature

    public java.lang.String getJNISignature()

  Specified by:
    `getJNISignature` in class `JType`

### getQualifiedSourceName

    public java.lang.String getQualifiedSourceName()

  Specified by:
    `getQualifiedSourceName` in class `JType`

### getSimpleSourceName

    public java.lang.String getSimpleSourceName()

  Specified by:
    `getSimpleSourceName` in class `JType`

### isArray

    public JArrayType isArray()

  Specified by:
    `isArray` in class `JType`

### isClass

    public JClassType isClass()

  Specified by:
    `isClass` in class `JType`

### isInterface

    public JClassType isInterface()

  Specified by:
    `isInterface` in class `JType`

### isParameterized

    public JParameterizedType isParameterized()

  Specified by:
    `isParameterized` in class `JType`

### isPrimitive

    public JPrimitiveType isPrimitive()

  Specified by:
    `isPrimitive` in class `JType`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD